Status: Resolved Priority: Should have
Author: Stefan Froemken Category: Database API
Created: 2014-06-23 Assigned To: Stefan Froemken
Updated: 2014-12-14 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity: easy
Is Regression: No
Sprint Focus:
Subject: Better index for determineSiteRoot
Description

Hello Core-Team,

updating the index determineSiteRoot is a little bit faster:

|       13 | 0.00025900 | SELECT uid FROM pages WHERE deleted=0 AND hidden=0 AND is_siteroot=1 LIMIT 1
|       14 | 0.00022800 | SELECT uid FROM pages WHERE deleted=0 AND hidden=0 AND is_siteroot=1 LIMIT 1

Stefan

Related issues:
related to Core - Bug # 55180: Increase Determination of siteroot page Resolved 2014-01-20
related to Core - Bug # 59809: Create better indexes for EM Resolved 2014-06-23

Associated revisions
Revision bb535c6f - 2014-12-14 13:56 - Stefan Froemken

[BUGFIX] Bad index for determineSiteRoot

Extbase in the backend fires a query to the pages table where
deleted=0 AND hidden=0 AND is_siteroot=1 ORDER BY sorting LIMIT 1

The patch changes an index that was added for this query to
reduce the result more quickly, with the assumption there is only a
very small number of is_siteroot=1 pages in comparison to deleted
and hidden pages. Also hidden and deleted are not any longer part
of the index, since order by sorting with limit 1 will break the
rest of the result set very early.

Target of the patch is master only since the 6.2 variant is not
that bad, so there is no urgend need to force people changing
indexes in 6.2 production systems.

Resolves: #59824
Releases: master
Change-Id: I597516efb7704d929ee869cdaa39cd069421ed4f
Reviewed-on: http://review.typo3.org/31082
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Mathias Schreiber <mathias.schreiber@wmdb.de>
Tested-by: Mathias Schreiber <mathias.schreiber@wmdb.de>
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History
#1 - 2014-06-23 18:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31082

#2 - 2014-06-23 18:25 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31082

#3 - 2014-12-07 19:43 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31082

#4 - 2014-12-14 13:47 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31082

#5 - 2014-12-14 14:00 - Stefan Froemken
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:bb535c6ffaf2aa9060e86f4983bd19493a5aed68.
